npm WARN / extraneous (I have no idea what i'm doing)



  • So I have managed to install nodebb somehow, by fumbling my way through tutorials :D but I have a few warnings in terminal.

    Could someone please explain? and how to fix. Extremely grateful in advance! šŸ™šŸ¼

    npm WARN prefer global prefixer@0.0.3 should be installed with -g
    nodebb@1.4.3 /var/www/nodebb/forums
    ā”œā”€ā”€ auto@0.1.2 extraneous
    ā”œā”€ā”€ global-prefix@0.1.5 extraneous
    ā”œā”€ā”€ nodebb-plugin-gravatar@2.0.4 extraneous
    ā”œā”€ā”€ nodebb-plugin-ignore-users@1.1.15 extraneous
    ā”œā”€ā”€ nodebb-plugin-leaderboard@2.0.1 extraneous
    ā”œā”€ā”€ nodebb-plugin-ns-likes@2.0.0 extraneous
    ā”œā”€ā”€ nodebb-plugin-question-and-answer@0.1.4 extraneous
    ā”œā”€ā”€ nodebb-plugin-sso-auth0@1.0.13 extraneous
    ā”œā”€ā”€ nodebb-plugin-sso-wordpress@2.0.3 extraneous
    ā”œā”€ā”€ nodebb-theme-slick@0.0.3 extraneous
    ā”œā”€ā”€ oauth@0.9.15
    ā”œā”€ā”€ oauth2orize@1.7.0 extraneous
    ā”œā”€ā”€ prefixer@0.0.3 extraneous
    ā””ā”€ā”€ promt@0.0.0 extraneous



  • Have you tried installing prefixer@0.0.3 using -g?
    It would be something like this.
    npm install -g prefixer@0.0.3


Log in to reply
 


Looks like your connection to NodeBB was lost, please wait while we try to reconnect.